{% extends "base.html" %}
{% load static %}


{% block internal_css %}
<link rel="stylesheet" href="{% static 'css/detail.css' %}">
<link rel="stylesheet" href="{% static 'css/table.css' %}">
{% endblock %}
{% block external_js %}
      <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
  {% endblock %}
{% block internal_js %}
<script src="{% static 'js/edit.min.js' %}"></script>
<script src="{% static 'js/details.min.js' %}"></script>
{% endblock %}
{% block content %}
<section class="container">
<div class="col">


<div class="card mb-5">
<h3 class="card-header">Assay summary for {{ assay.assay_id }}</h3>
  <dl class="card-body two_col">
    <dt>Assay Type:</dt><dd> {{ assay.assay_type }}</dd>
  <dt>Lab: </dt><dd>{{ assay.assay_lab }}</dd>
  <dt>Description: </dt><dd>{{ assay.description }}</dd>
  {% if assay.target %}
  <dt>Target: </dt><dd>{{ assay.target }}</dd>
  {% endif %}
  {% if assay.library_prep %}
  <dt>Library Preparation: </dt><dd>{{ assay.library_prep }}</dd>
  {% endif %}
  <dt>Added by User: </dt><dd>{{ assay.user }}</dd>
  <dt>Date Added: </dt><dd>{{ assay.date_added }}</dd>
  <dt>Last Edited: </dt><dd>{{ assay.date_edited }}</dd>
</dl>
</div>

<div id=summary>

    <!-- <ul class="nav nav-tabs">
      <li class="series_tab_header"><a data-toggle="tab" href="#attached_series">Applied in Series</a></li>
      <li class="biosample_tab_header"><a data-toggle="tab" href="#attached_biosamples">Applied in Biosamples</a></li>
    </ul>-->

    <!--<div class="tab-content">-->

              <div class="series_item card mb-5">
                        <h3 class="card-header">Applied in Series</h3>
                      <ul class="card-body">
                      {% for series in connected_series %}
                      <li><a href="/dcc/detailSeries/{{ series.pk }}">
                      <label>{{ series.series_id }}:</label><span data-toggle="tooltip" data-placement="bottom" title="{{series.description}}"> {{ series.title }}</span>
                      </a></li>
                      {% endfor %}
                      </ul>
                    </span>
            </div>
        <!--</div>-->

              <div class="non_tab_biosample_item card">
                        <h3 class="card-header">Applied on Biosamples</h3>

                          <ul class="card-body">
                  {% for series in connected_series %}
                  {% for biosample in series.series_biosample.all %}
                  <li><a href="/dcc/detailBiosample/{{ biosample.pk }}">
                  <label>{{ biosample.biosample_id }}</label><span> {{ biosample.biosample_type }} from {{ biosample.biosample_lab }} </span>
                  </a></li>
                  {% endfor %}
                  {% endfor %}
                </ul>
            </div>
</div>

</div>
</section>
{% endblock %}
